
void _efl_ui_table_homogeneous_set(Eo *obj, Efl_Ui_Table_Data *pd, Eina_Bool homogeneoush, Eina_Bool homogeneousv);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_table_homogeneous_set, EFL_FUNC_CALL(homogeneoush, homogeneousv), Eina_Bool homogeneoush, Eina_Bool homogeneousv);

void _efl_ui_table_homogeneous_get(const Eo *obj, Efl_Ui_Table_Data *pd, Eina_Bool *homogeneoush, Eina_Bool *homogeneousv);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_ui_table_homogeneous_get, EFL_FUNC_CALL(homogeneoush, homogeneousv), Eina_Bool *homogeneoush, Eina_Bool *homogeneousv);

Efl_Object *_efl_ui_table_efl_object_constructor(Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_object_invalidate(Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Table_Data *pd, Eina_Position2D pos);


void _efl_ui_table_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Table_Data *pd, Eina_Size2D size);


Eina_Iterator *_efl_ui_table_efl_container_content_iterate(Eo *obj, Efl_Ui_Table_Data *pd);


int _efl_ui_table_efl_container_content_count(Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_ui_layout_orientable_orientation_set(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Ui_Layout_Orientation dir);


Efl_Ui_Layout_Orientation _efl_ui_table_efl_ui_layout_orientable_orientation_get(const Eo *obj, Efl_Ui_Table_Data *pd);


Eina_Bool _efl_ui_table_efl_pack_pack_clear(Eo *obj, Efl_Ui_Table_Data *pd);


Eina_Bool _efl_ui_table_efl_pack_unpack_all(Eo *obj, Efl_Ui_Table_Data *pd);


Eina_Bool _efl_ui_table_efl_pack_unpack(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_ui_table_efl_pack_pack(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj);


void _efl_ui_table_efl_gfx_arrangement_content_padding_set(Eo *obj, Efl_Ui_Table_Data *pd, unsigned int pad_horiz, unsigned int pad_vert);


void _efl_ui_table_efl_gfx_arrangement_content_padding_get(const Eo *obj, Efl_Ui_Table_Data *pd, unsigned int *pad_horiz, unsigned int *pad_vert);

static void __eolian_efl_ui_table_efl_gfx_arrangement_content_padding_get(const Eo *obj, Efl_Ui_Table_Data *pd, unsigned int *pad_horiz, unsigned int *pad_vert)
{
   if (pad_horiz) *pad_horiz = 0U;
   if (pad_vert) *pad_vert = 0U;
   _efl_ui_table_efl_gfx_arrangement_content_padding_get(obj, pd, pad_horiz, pad_vert);
}


void _efl_ui_table_efl_gfx_arrangement_content_align_set(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Align align_horiz, Efl_Gfx_Align align_vert);


void _efl_ui_table_efl_gfx_arrangement_content_align_get(const Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Align *align_horiz, Efl_Gfx_Align *align_vert);

static void __eolian_efl_ui_table_efl_gfx_arrangement_content_align_get(const Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Align *align_horiz, Efl_Gfx_Align *align_vert)
{
   if (align_horiz) *align_horiz = 0.500000;
   if (align_vert) *align_vert = 0.500000;
   _efl_ui_table_efl_gfx_arrangement_content_align_get(obj, pd, align_horiz, align_vert);
}


Eina_Bool _efl_ui_table_efl_pack_table_pack_table(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj, int col, int row, int colspan, int rowspan);


Efl_Gfx_Entity *_efl_ui_table_efl_pack_table_table_content_get(Eo *obj, Efl_Ui_Table_Data *pd, int col, int row);


Eina_Iterator *_efl_ui_table_efl_pack_table_table_contents_get(Eo *obj, Efl_Ui_Table_Data *pd, int col, int row, Eina_Bool below);


void _efl_ui_table_efl_pack_table_table_cell_column_set(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj, int col, int colspan);


Eina_Bool _efl_ui_table_efl_pack_table_table_cell_column_get(const Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj, int *col, int *colspan);


void _efl_ui_table_efl_pack_table_table_cell_row_set(Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj, int row, int rowspan);


Eina_Bool _efl_ui_table_efl_pack_table_table_cell_row_get(const Eo *obj, Efl_Ui_Table_Data *pd, Efl_Gfx_Entity *subobj, int *row, int *rowspan);


void _efl_ui_table_efl_pack_table_table_size_set(Eo *obj, Efl_Ui_Table_Data *pd, int cols, int rows);


void _efl_ui_table_efl_pack_table_table_size_get(const Eo *obj, Efl_Ui_Table_Data *pd, int *cols, int *rows);


void _efl_ui_table_efl_pack_table_table_columns_set(Eo *obj, Efl_Ui_Table_Data *pd, int cols);


int _efl_ui_table_efl_pack_table_table_columns_get(const Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_pack_table_table_rows_set(Eo *obj, Efl_Ui_Table_Data *pd, int rows);


int _efl_ui_table_efl_pack_table_table_rows_get(const Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_pack_layout_layout_update(Eo *obj, Efl_Ui_Table_Data *pd);


void _efl_ui_table_efl_pack_layout_layout_request(Eo *obj, Efl_Ui_Table_Data *pd);


static void __eolian_efl_ui_table_efl_ui_l10n_l10n_text_set(Eo *obj EINA_UNUSED, Efl_Ui_Table_Data *pd EINA_UNUSED, const char *label EINA_UNUSED, const char *domain EINA_UNUSED)
{
}


static const char *__eolian_efl_ui_table_efl_ui_l10n_l10n_text_get(const Eo *obj EINA_UNUSED, Efl_Ui_Table_Data *pd EINA_UNUSED, const char **domain EINA_UNUSED)
{
   return NULL;
}


static void __eolian_efl_ui_table_efl_ui_i18n_language_set(Eo *obj EINA_UNUSED, Efl_Ui_Table_Data *pd EINA_UNUSED, const char *language EINA_UNUSED)
{
}


static const char *__eolian_efl_ui_table_efl_ui_i18n_language_get(const Eo *obj EINA_UNUSED, Efl_Ui_Table_Data *pd EINA_UNUSED)
{
   return NULL;
}


static Eina_Bool
_efl_ui_table_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_TABLE_EXTRA_OPS
#define EFL_UI_TABLE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_table_homogeneous_set, _efl_ui_table_homogeneous_set),
      EFL_OBJECT_OP_FUNC(efl_ui_table_homogeneous_get, _efl_ui_table_homogeneous_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_table_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_table_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_table_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_table_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_table_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_content_iterate, _efl_ui_table_efl_container_content_iterate),
      EFL_OBJECT_OP_FUNC(efl_content_count, _efl_ui_table_efl_container_content_count),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_set, _efl_ui_table_efl_ui_layout_orientable_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_get, _efl_ui_table_efl_ui_layout_orientable_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_pack_clear, _efl_ui_table_efl_pack_pack_clear),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack_all, _efl_ui_table_efl_pack_unpack_all),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack, _efl_ui_table_efl_pack_unpack),
      EFL_OBJECT_OP_FUNC(efl_pack, _efl_ui_table_efl_pack_pack),
      EFL_OBJECT_OP_FUNC(efl_gfx_arrangement_content_padding_set, _efl_ui_table_efl_gfx_arrangement_content_padding_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_arrangement_content_padding_get, __eolian_efl_ui_table_efl_gfx_arrangement_content_padding_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_arrangement_content_align_set, _efl_ui_table_efl_gfx_arrangement_content_align_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_arrangement_content_align_get, __eolian_efl_ui_table_efl_gfx_arrangement_content_align_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table, _efl_ui_table_efl_pack_table_pack_table),
      EFL_OBJECT_OP_FUNC(efl_pack_table_content_get, _efl_ui_table_efl_pack_table_table_content_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_contents_get, _efl_ui_table_efl_pack_table_table_contents_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_column_set, _efl_ui_table_efl_pack_table_table_cell_column_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_column_get, _efl_ui_table_efl_pack_table_table_cell_column_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_row_set, _efl_ui_table_efl_pack_table_table_cell_row_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_row_get, _efl_ui_table_efl_pack_table_table_cell_row_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_size_set, _efl_ui_table_efl_pack_table_table_size_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_size_get, _efl_ui_table_efl_pack_table_table_size_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_columns_set, _efl_ui_table_efl_pack_table_table_columns_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_columns_get, _efl_ui_table_efl_pack_table_table_columns_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_rows_set, _efl_ui_table_efl_pack_table_table_rows_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_rows_get, _efl_ui_table_efl_pack_table_table_rows_get),
      EFL_OBJECT_OP_FUNC(efl_pack_layout_update, _efl_ui_table_efl_pack_layout_layout_update),
      EFL_OBJECT_OP_FUNC(efl_pack_layout_request, _efl_ui_table_efl_pack_layout_layout_request),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, __eolian_efl_ui_table_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, __eolian_efl_ui_table_efl_ui_l10n_l10n_text_get),
      EFL_OBJECT_OP_FUNC(efl_ui_language_set, __eolian_efl_ui_table_efl_ui_i18n_language_set),
      EFL_OBJECT_OP_FUNC(efl_ui_language_get, __eolian_efl_ui_table_efl_ui_i18n_language_get),
      EFL_UI_TABLE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_table_class_desc = {
   EO_VERSION,
   "Efl.Ui.Table",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Table_Data),
   _efl_ui_table_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_table_class_get, &_efl_ui_table_class_desc, EFL_UI_WIDGET_CLASS, EFL_PACK_TABLE_INTERFACE, EFL_PACK_LAYOUT_INTERFACE, EFL_UI_LAYOUT_ORIENTABLE_INTERFACE, EFL_GFX_ARRANGEMENT_INTERFACE, NULL);
